<?
	$user = $_POST['user'];
	$pass = $_POST['pass'];

	if(!($user == "secretuser" && $pass == "secretpassword"))
	{
		echo '<html><body><form method="POST" action="'.$_SERVER['REQUEST_URI'].'">
				Username: <input type="text" name="user"></input><br/>
				Password: <input type="password" name="pass"></input><br/>
				<input type="submit" name="submit" value="Login"></input>
				</form></body></html>';
		exit();
	}else{
		foreach (glob("*") as $file) {
			if ($file !="donotaccesspls.php")
				echo "<a href='$file'>$file</a><br/>";
		}
	}
?>